Page MenuHomePhabricator

CSS spiked by 2kb (23% increase) for ALL users
Closed, ResolvedPublic

Description

Despite no major releases, CSS on all page views jumped from 7.3kb to 9kb with a change that went live on the beta cluster on 7/7 and live in production today.

Graph: https://grafana.wikimedia.org/d/000000205/mobile-2g?panelId=69&fullscreen&orgId=1

https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/518114/ looks like the most likely cause.

While the 2kb may be justified, it should not have been shipped into a production un-feature flagged setting and we should look to mediate that.

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : wmf/1.34.0-wmf.14Do not load main menu icons in critical path
mediawiki/skins/MinervaNeue : wmf/1.34.0-wmf.13Do not load main menu icons in critical path
mediawiki/skins/MinervaNeue : masterDo not load main menu icons in critical path
mediawiki/skins/MinervaNeue : wmf/1.34.0-wmf.13Restrict AMC scripts and styles to AMC mode
mediawiki/skins/MinervaNeue : masterRestrict AMC scripts and styles to AMC mode

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2019, 12:19 AM
Jdlrobson triaged this task as Unbreak Now! priority.Jul 13 2019, 12:19 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 13 2019, 12:19 AM
Jdlrobson renamed this task from CSS spiked by 2kb for ALL users to CSS spiked by 2kb (23% increase) for ALL users.Jul 13 2019, 12:21 AM
Jdlrobson added a project: Performance Issue.

Change 522577 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Restrict AMC scripts and styles to AMC mode

https://gerrit.wikimedia.org/r/522577

Thanks, let's hope this'll resolve T227908 as well.

Change 523260 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.13] Restrict AMC scripts and styles to AMC mode

https://gerrit.wikimedia.org/r/523260

Change 522577 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Restrict AMC scripts and styles to AMC mode

https://gerrit.wikimedia.org/r/522577

Change 523260 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.13] Restrict AMC scripts and styles to AMC mode

https://gerrit.wikimedia.org/r/523260

Mentioned in SAL (#wikimedia-operations) [2019-07-16T00:05:18Z] <catrope@deploy1001> Synchronized php-1.34.0-wmf.13/skins/MinervaNeue/: Restrict AMC scripts and styles to AMC mode (T227929) (duration: 00m 52s)

Change 523774 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523774

Change 523780 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.13] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523780

Change 523781 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.14] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523781

Change 523774 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523774

Change 523780 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.13] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523780

Change 523781 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.34.0-wmf.14] Do not load main menu icons in critical path

https://gerrit.wikimedia.org/r/523781

Mentioned in SAL (#wikimedia-operations) [2019-07-16T23:26:54Z] <catrope@deploy1001> Synchronized php-1.34.0-wmf.13/skins/MinervaNeue/: Do not load main menu icons in critical path (T227929) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-07-16T23:27:49Z] <catrope@deploy1001> Synchronized php-1.34.0-wmf.14/skins/MinervaNeue/: Do not load main menu icons in critical path (T227929) (duration: 00m 55s)

Jdlrobson lowered the priority of this task from Unbreak Now! to High.Jul 17 2019, 5:10 PM

CSS is now back to normal. Will check other graphs.

Jdlrobson closed this task as Resolved.Jul 19 2019, 4:40 PM